:- module main.

:- interface.

:- import_module io.

:- pred main(io__state::di, io__state::uo) is det.

:- implementation.

:- import_module smlng_data.
:- import_module attrs, doc_optimize, parse, output, validator.
:- import_module std_util, list, require.

main -->
	io__command_line_arguments(Args),
	( { Args = [FileNameBase] } ->
		parse(Doc),
		doc_optimize(Doc, FileNameBase)
	;
		{ error("give me a filename to generate results") }
	).

