:- module smlng_data.

:- interface.

:- import_module list.
:- import_module attrs.

:- type	document
			% XXX Maybe better as a list of documents?
	--->	doc(document, document)
			% XXX maybe better as a string?
	;	text(list(textchar))
	;	style(style, document)
	;	size(int, document)
	;	colour(colour, document)
	.

:- type textchar
	--->	s(string)
	;	cr
	;	lf
	;	tab
	;	spc
	.
	
:- type style
	--->	b	% bold
	;	em	% emphasis
	;	i	% italics
	;	pl	% plain
	;	s	% strong
	;	tt	% true type
	;	u	% underline
	.

:- implementation.
