%------------------------------------------------------------------------------%
% test_input.m
% Ralph Becket <rbeck@microsoft.com>
% Fri Jul 27 01:51:05 BST 2001
% vim: ts=4 sw=4 et tw=0 wm=0 ff=unix ft=mercury
%
%------------------------------------------------------------------------------%

:- module test_input.

:- interface.

:- import_module io.



:- pred main(io__state::di, io__state::uo) is det.

%------------------------------------------------------------------------------%
%------------------------------------------------------------------------------%

:- implementation.

:- import_module string, list, array.
:- import_module input.

%------------------------------------------------------------------------------%

main -->
    read_smlng("minimal-soln", Str, Attrss, Extents),
    io__format("\"%s\"\n\n", [s(Str)]),
    io__print("attribute records: attrs(b, em, i, s, tt, u, size, colour)\n"),
    io__write_list(array__to_list(Attrss), "\n", io__print),
    io__nl,
    io__print("attribute record extents:\n"),
    io__write_list(array__to_list(Extents), "\n", io__print),
    io__nl.

%------------------------------------------------------------------------------%
%------------------------------------------------------------------------------%
